%global install_loc     %{_datadir}/eclipse/dropins/%{name}
%global git_tag         69c3149

Summary:        An Eclipse plugin which permits color theme switching
Name:           eclipse-color-theme
Version:        1.0.0
Release:        3%{?dist}
License:        EPL
Group:          Development/Tools
URL:            http://www.eclipsecolorthemes.org/
# http://github.com/eclipse-color-theme/eclipse-color-theme/tarball/v%{version}
Source0:        %{name}-%{name}-v%{version}-0-g%{git_tag}.tar.gz

# Patch submitted upstream https://github.com/eclipse-color-theme/eclipse-color-theme/pull/218
Patch0:         explicit-hamcrest-use.patch

BuildRequires: eclipse-pde >= 1:3.4.0
BuildRequires: tycho

Requires: eclipse-platform >= 3.4.0

BuildArch:     noarch

%description
The Eclipse Color Theme plugin makes it possible to switch color themes
conveniently and without side effects. It includes the most popular themes
from eclipsecolorthemes.org, but you can add any theme created on the site
by exporting it as XML.

%prep
%setup -q -n %{name}-%{name}-%{git_tag}
%patch0 -p1

%mvn_package ":*.test" __noinstall

%build
%mvn_build -j

%install
%mvn_install 

%files -f .mfiles
%doc README.md CHANGES.md COPYING

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 20 2015 Mat Booth <mat.booth@redhat.com> - 1.0.0-2
- Make direct hamcrest use explicit in manifest

* Wed Dec 10 2014 Alexander Kurtakov <akurtako@redhat.com> 1.0.0-1
- Update to version 1.0.0.
- Build with xmvn.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May  2 2012 Mary Ellen Foster <mefoster at gmail.com> - 0.11.1-3
- Use /usr/bin/eclipse-pdebuild

* Tue Feb 28 2012 Mary Ellen Foster <mefoster at gmail.com> - 0.11.1-2
- Get correct tag from git instead of master

* Fri Feb 24 2012 Mary Ellen Foster <mefoster at gmail.com> - 0.11.1-2
- Initial package
